package com.usoft.fin.grpc.dal.entity;

import java.math.BigDecimal;

/**
 * <pre>
 * 用户额度表
 * 表名 : t_credit
 * </pre>
 * @author: Mybatis Generator
 */
public class Credit {
    /**
     * <pre>
     * id
     * 表字段 : t_credit.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 额度编号
     * 表字段 : t_credit.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_credit.enuu
     * </pre>
     */
    private Integer enuu;

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_credit.product_code
     * </pre>
     */
    private String productCode;

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_credit.credit_apply_code
     * </pre>
     */
    private String creditApplyCode;

    /**
     * <pre>
     * 利率
     * 表字段 : t_credit.rate
     * </pre>
     */
    private BigDecimal rate;

    /**
     * <pre>
     * 批复额度
     * 表字段 : t_credit.reply_amount
     * </pre>
     */
    private BigDecimal replyAmount;

    /**
     * <pre>
     * 已用额度
     * 表字段 : t_credit.used_amount
     * </pre>
     */
    private BigDecimal usedAmount;

    /**
     * <pre>
     * 剩余可用额度
     * 表字段 : t_credit.usable_amount
     * </pre>
     */
    private BigDecimal usableAmount;

    /**
     * <pre>
     * 额度生效日
     * 表字段 : t_credit.start_date
     * </pre>
     */
    private String startDate;

    /**
     * <pre>
     * 额度到期日
     * 表字段 : t_credit.end_date
     * </pre>
     */
    private String endDate;

    /**
     * <pre>
     * id
     * 表字段 : t_credit.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_credit.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 额度编号
     * 表字段 : t_credit.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 额度编号
     * 表字段 : t_credit.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_credit.enuu
     * </pre>
     */
    public Integer getEnuu() {
        return enuu;
    }

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_credit.enuu
     * </pre>
     */
    public void setEnuu(Integer enuu) {
        this.enuu = enuu;
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_credit.product_code
     * </pre>
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_credit.product_code
     * </pre>
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode == null ? null : productCode.trim();
    }

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_credit.credit_apply_code
     * </pre>
     */
    public String getCreditApplyCode() {
        return creditApplyCode;
    }

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_credit.credit_apply_code
     * </pre>
     */
    public void setCreditApplyCode(String creditApplyCode) {
        this.creditApplyCode = creditApplyCode == null ? null : creditApplyCode.trim();
    }

    /**
     * <pre>
     * 利率
     * 表字段 : t_credit.rate
     * </pre>
     */
    public BigDecimal getRate() {
        return rate;
    }

    /**
     * <pre>
     * 利率
     * 表字段 : t_credit.rate
     * </pre>
     */
    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }

    /**
     * <pre>
     * 批复额度
     * 表字段 : t_credit.reply_amount
     * </pre>
     */
    public BigDecimal getReplyAmount() {
        return replyAmount;
    }

    /**
     * <pre>
     * 批复额度
     * 表字段 : t_credit.reply_amount
     * </pre>
     */
    public void setReplyAmount(BigDecimal replyAmount) {
        this.replyAmount = replyAmount;
    }

    /**
     * <pre>
     * 已用额度
     * 表字段 : t_credit.used_amount
     * </pre>
     */
    public BigDecimal getUsedAmount() {
        return usedAmount;
    }

    /**
     * <pre>
     * 已用额度
     * 表字段 : t_credit.used_amount
     * </pre>
     */
    public void setUsedAmount(BigDecimal usedAmount) {
        this.usedAmount = usedAmount;
    }

    /**
     * <pre>
     * 剩余可用额度
     * 表字段 : t_credit.usable_amount
     * </pre>
     */
    public BigDecimal getUsableAmount() {
        return usableAmount;
    }

    /**
     * <pre>
     * 剩余可用额度
     * 表字段 : t_credit.usable_amount
     * </pre>
     */
    public void setUsableAmount(BigDecimal usableAmount) {
        this.usableAmount = usableAmount;
    }

    /**
     * <pre>
     * 额度生效日
     * 表字段 : t_credit.start_date
     * </pre>
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * <pre>
     * 额度生效日
     * 表字段 : t_credit.start_date
     * </pre>
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate == null ? null : startDate.trim();
    }

    /**
     * <pre>
     * 额度到期日
     * 表字段 : t_credit.end_date
     * </pre>
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * <pre>
     * 额度到期日
     * 表字段 : t_credit.end_date
     * </pre>
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate == null ? null : endDate.trim();
    }
}